Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq:

[legend]
Collaboration diagram for DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_DynamicAny_AnySeq (void)
| _TAO_Unbounded_Sequence_DynamicAny_AnySeq (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_DynamicAny_AnySeq (CORBA::ULong maximum, CORBA::ULong length, CORBA::Any *data, CORBA::Boolean release=0)
| _TAO_Unbounded_Sequence_DynamicAny_AnySeq (const _TAO_Unbounded_Sequence_DynamicAny_AnySeq &rhs)
_TAO_Unbounded_Sequence_DynamicAny_AnySeq & | operator= (const _TAO_Unbounded_Sequence_DynamicAny_AnySeq &rhs)
virtual | ~_TAO_Unbounded_Sequence_DynamicAny_AnySeq (void)
CORBA::Any & | operator[] (CORBA::ULong i)
const CORBA::Any & | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
CORBA::Any * | get_buffer (CORBA::Boolean orphan=0)
const CORBA::Any * | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, CORBA::Any *data, CORBA::Boolean release)
## Static Public Methods
CORBA::Any * | allocbuf (CORBA::ULong size)
void | freebuf (CORBA::Any *buffer)

## Constructor & Destructor Documentation

DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq::_TAO_Unbounded_Sequence_DynamicAny_AnySeq | ( | void |  | ) |

DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq::_TAO_Unbounded_Sequence_DynamicAny_AnySeq | ( | CORBA::ULong | maximum | ) |

DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq::_TAO_Unbounded_Sequence_DynamicAny_AnySeq | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | CORBA::Any * | data,
|  | CORBA::Boolean | release = 0
| ) |

DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq::_TAO_Unbounded_Sequence_DynamicAny_AnySeq | ( | const _TAO_Unbounded_Sequence_DynamicAny_AnySeq & | rhs | ) |

virtual DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq::~_TAO_Unbounded_Sequence_DynamicAny_AnySeq | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual void DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

virtual void DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

CORBA::Any* DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq::allocbuf | ( | CORBA::ULong | size | ) | `[static]`

void DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq::freebuf | ( | CORBA::Any * | buffer | ) | `[static]`

const CORBA::Any* DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq::get_buffer | ( | void |  | ) | const

CORBA::Any* DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

_TAO_Unbounded_Sequence_DynamicAny_AnySeq& DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq::operator= | ( | const _TAO_Unbounded_Sequence_DynamicAny_AnySeq & | rhs | ) |

const CORBA::Any& DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq::operator[] | ( | CORBA::ULong | i | ) | const

CORBA::Any& DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq::operator[] | ( | CORBA::ULong | i | ) |

void DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_AnySeq::replace | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | CORBA::Any * | data,
|  | CORBA::Boolean | release
| ) |

The documentation for this class was generated from the following file:

- DynamicAnyC.h